/* system.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef SYSTEM_H
#define SYSTEM_H

/*
  This header file sets up anything system-specific we might need to
  know.  It must compile in either C or C++.
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
#ifdef HAVE_NAMESPACE
namespace std { };
using namespace std;
#endif
#endif

#endif

